Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse Oxygen2 install fails(Installation problems)
Eclipse Oxygen2 install fails [message #1784406] Tue, 27 March 2018 17:09 Go to next message
Philip Howard is currently offline Philip HowardFriend
Messages: 1
Registered: March 2018
Junior Member
When trying to install Eclipse for Java Oxygen2, I get the following error. I've tried multiple times with the same result.

[2018-03-27 09:54:28] Executing bootstrap tasks
[2018-03-27 09:54:28] Java(TM) SE Runtime Environment 1.8.0_161-b12
[2018-03-27 09:54:28] Product org.eclipse.products.epp.package.java.oxygen
[2018-03-27 09:54:28] Bundle org.eclipse.oomph.setup 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
[2018-03-27 09:54:28] Bundle org.eclipse.oomph.setup.core 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
[2018-03-27 09:54:28] Bundle org.eclipse.oomph.setup.p2 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
[2018-03-27 09:54:28] Performing P2 Director (Eclipse IDE for Java Developers (Oxygen))
[2018-03-27 09:54:28] Offline = false
[2018-03-27 09:54:28] Mirrors = true
[2018-03-27 09:54:28] Resolving 25 requirements from 3 repositories to C:\Users\philhow\eclipse\java-oxygen3\eclipse
[2018-03-27 09:54:28] Requirement epp.package.java [4.7.0,4.8.0)
[2018-03-27 09:54:28] Requirement org.eclipse.platform.feature.group [4.7.0,4.8.0)
[2018-03-27 09:54:28] Requirement org.eclipse.rcp.feature.group [4.7.0,4.8.0)
[2018-03-27 09:54:28] Requirement org.eclipse.buildship.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.eclemma.feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.egit.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.egit.mylyn.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.jdt.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.jgit.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.m2e.feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.m2e.logback.feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.mylyn.context_feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.mylyn.git.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.mylyn.hudson.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.mylyn.java_feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.mylyn_feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.recommenders.mylyn.rcp.feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.recommenders.news.rcp.feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.recommenders.rcp.feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.recommenders.snipmatch.rcp.feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2018-03-27 09:54:28] Requirement org.eclipse.oomph.setup.feature.group
[2018-03-27 09:54:28] Repository http://download.eclipse.org/technology/epp/packages/oxygen
[2018-03-27 09:54:28] Repository http://download.eclipse.org/releases/oxygen
[2018-03-27 09:54:28] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2018-03-27 09:54:29] ERROR: org.eclipse.equinox.p2.metadata.repository code=1002 Unable to read repository at http://download.eclipse.org/releases/oxygen.
ERROR: org.eclipse.equinox.p2.repository code=0 An error occurred while downloading http://download.eclipse.org/technology/epp/packages/oxygen/content.xml.xz. The cache file C:\Users\philhow\.p2\org.eclipse.equinox.p2.repository\cache\downloading\-1747184149 could not be renamed to C:\Users\philhow\.p2\org.eclipse.equinox.p2.repository\cache\-1747184149.
at org.eclipse.equinox.internal.p2.repository.CacheManager.updateCache(CacheManager.java:428)
at org.eclipse.equinox.internal.p2.repository.CacheManager.createCacheFromFile(CacheManager.java:132)
at org.eclipse.equinox.internal.p2.metadata.repository.XZedSimpleMetadataRepositoryFactory.getLocalFile(XZedSimpleMetadataRepositoryFactory.java:56)
at org.eclipse.equinox.internal.p2.metadata.repository.XZedSimpleMetadataRepositoryFactory.load(XZedSimpleMetadataRepositoryFactory.java:78)
at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.factoryLoad(MetadataRepositoryManager.java:57)
at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:768)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager.loadRepository(CachingRepositoryManager.java:409)
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager.loadRepository(CachingRepositoryManager.java:201)
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager$Metadata.loadRepository(CachingRepositoryManager.java:476)
at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96)
at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92)
at org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepository.addChild(CompositeMetadataRepository.java:166)
at org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepository.<init>(CompositeMetadataRepository.java:106)
at org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepositoryFactory.load(CompositeMetadataRepositoryFactory.java:122)
at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.factoryLoad(MetadataRepositoryManager.java:57)
at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:768)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager.loadRepository(CachingRepositoryManager.java:409)
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager.loadRepository(CachingRepositoryManager.java:201)
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager$Metadata.loadRepository(CachingRepositoryManager.java:476)
at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96)
at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$RepositoryLoader$Worker.perform(ProfileTransactionImpl.java:1613)
at org.eclipse.oomph.util.WorkerPool$Worker.run(WorkerPool.java:428)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)

[2018-03-27 09:54:29]
Re: Eclipse Oxygen2 install fails [message #1784418 is a reply to message #1784406] Tue, 27 March 2018 18:55 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29653
Registered: July 2009
Senior Member
Often problems like this on Windows are caused by virus scanners locking files the moment they are downloaded, which then prevents them from being moved. Try to disable your virus scanner temporarily or configuring it not to scan the C:\Users\philhow\.p2 and C:\Users\philhow\.eclipse folders.
Re: Eclipse Oxygen2 install fails [message #1790780 is a reply to message #1784418] Sat, 16 June 2018 19:31 Go to previous messageGo to next message
RAJAT RAJ is currently offline RAJAT RAJFriend
Messages: 1
Registered: June 2018
Junior Member
Hello ,

I am getting similar error :
[2018-06-17 00:52:09] Executing bootstrap tasks
[2018-06-17 00:52:09] Java(TM) SE Runtime Environment 10.0.1+10
[2018-06-17 00:52:09] Product org.eclipse.products.epp.package.java.oxygen
[2018-06-17 00:52:09] Bundle org.eclipse.oomph.setup 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
[2018-06-17 00:52:09] Bundle org.eclipse.oomph.setup.core 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
[2018-06-17 00:52:09] Bundle org.eclipse.oomph.setup.p2 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
[2018-06-17 00:52:09] Performing P2 Director (Eclipse IDE for Java Developers (Oxygen))
[2018-06-17 00:52:09] Offline = false
[2018-06-17 00:52:09] Mirrors = true
[2018-06-17 00:52:09] Resolving 25 requirements from 3 repositories to C:\Program Files (x86)\eclipse
[2018-06-17 00:52:09] Requirement epp.package.java [4.7.0,4.8.0)
[2018-06-17 00:52:09] Requirement org.eclipse.platform.feature.group [4.7.0,4.8.0)
[2018-06-17 00:52:09] Requirement org.eclipse.rcp.feature.group [4.7.0,4.8.0)
[2018-06-17 00:52:09] Requirement org.eclipse.buildship.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.eclemma.feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.egit.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.egit.mylyn.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.jdt.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.jgit.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.m2e.feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.m2e.logback.feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.mylyn.context_feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.mylyn.git.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.mylyn.hudson.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.mylyn.java_feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.mylyn_feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.recommenders.mylyn.rcp.feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.recommenders.news.rcp.feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.recommenders.rcp.feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.recommenders.snipmatch.rcp.feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2018-06-17 00:52:09] Requirement org.eclipse.oomph.setup.feature.group
[2018-06-17 00:52:09] Repository http://download.eclipse.org/technology/epp/packages/oxygen
[2018-06-17 00:52:09] Repository http://download.eclipse.org/releases/oxygen/201804111000
[2018-06-17 00:52:09] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2018-06-17 00:52:13] Calculating requirements and dependencies.
[2018-06-17 00:52:14] Computing prerequisite plan
[2018-06-17 00:52:17] Collecting 1 artifacts from http://download.eclipse.org/technology/epp/packages/oxygen
[2018-06-17 00:52:21] Downloading epp.package.java.executable.win32.win32.x86_64
[2018-06-17 00:52:21] Collected 1 artifacts for http://download.eclipse.org/technology/epp/packages/oxygen in 3.879s
[2018-06-17 00:52:21] Collecting 3 artifacts from http://download.eclipse.org/releases/oxygen/201804111000
[2018-06-17 00:52:26] Downloading org.eclipse.platform_root
[2018-06-17 00:52:26] Downloading org.eclipse.rcp_root
[2018-06-17 00:52:26] Downloading org.eclipse.platform.ide.executable.win32.win32.x86_64
[2018-06-17 00:52:26] Collected 3 artifacts for http://download.eclipse.org/releases/oxygen/201804111000 in 4.881s
[2018-06-17 00:52:26] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
[2018-06-17 00:52:26] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred while collecting items to be installed
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:547)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:729)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3324)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3252)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3233)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3133)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1111)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=C__Program Files (x86)_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.nebula.widgets.tablecombo,1.2.0.201805092050
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.base,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.base.edit,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.extractor.lib,1.4.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.jreinfo,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.jreinfo.ui,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.jreinfo.win32.x86_64,1.3.0.v20180529-1103
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.p2,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.p2.core,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.p2.doc,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.p2.edit,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.oomph.p2,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.p2.ui,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.predicates,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.predicates.edit,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.preferences,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.resources,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.resources.edit,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.core,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.oomph.setup.core,1.9.0.v20180529-1103
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.doc,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.edit,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.editor,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.oomph.setup,1.9.0.v20180529-1103
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.p2,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.p2.edit,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.sync,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.ui,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.ui.questionnaire,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.ui,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.util,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.workingsets,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.workingsets.edit,1.9.0.v20180529-0916
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.workingsets.editor,1.9.0.v20180529-0916

[2018-06-17 00:52:26]


Please suggest a solution to this.
Re: Eclipse Oxygen2 install fails [message #1790798 is a reply to message #1790780] Mon, 18 June 2018 07:27 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 29653
Registered: July 2009
Senior Member
There was a problem with the contents of http://download.eclipse.org/oomph/updates/milestone/latest which should be fixed now so it should work if you try again.
Previous Topic:Need help to migrate Jetty 6.1 to Jetty 9.3
Next Topic:Error Message
Goto Forum:
  


Current Time: Sat Nov 17 15:18:24 GMT 2018

Powered by FUDForum. Page generated in 0.03298 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top